;function _serializeJson(target, jq) {
    var serializeObj = {};
    var array = target.serializeArray();

    jq = jq || $;
    jq(array).each(
        function () {
            if (serializeObj[this.name]) {
                if (jq.isArray(serializeObj[this.name])) {
                    serializeObj[this.name].push(this.value);
                } else {
                    serializeObj[this.name] = [serializeObj[this.name], this.value];
                }
            } else {
                serializeObj[this.name] = this.value;
            }
        });

    return serializeObj;
};

function _checkProjectCode(code) {
    var arr=['G2-21093','G2-21095','G2-21094','G2-21091','G2-21092','G2-21084','G2-21086','G2-21085','G2-21083','G2-21088','G2-21087','G2-21078','G2-21079','G2-21077','G2-21081','G2-21082','G2-21080','G2-21089','G2-21090'];

    if(arr.indexOf(code)>-1){
        return true
    }
};

function downPdfCreate(name){
    html2canvas(
        document.getElementById("LAY_app"),
        {
            dpi: 172,//导出pdf清晰度
            useCORS: true,
            allowTaint: false,
            backgroundColor: null,
            logging: true,
            onrendered: function (canvas) {
                var contentWidth = canvas.width;
                var contentHeight = canvas.height;
                console.log(contentHeight)
                //一页pdf显示html页面生成的canvas高度;
                var pageHeight = contentWidth / 592.28 * 841.89;
                console.log("pageHeight:"+pageHeight)
                //未生成pdf的html页面高度
                var leftHeight = contentHeight;
                //pdf页面偏移
                var position = 0;
                //html页面生成的canvas在pdf中图片的宽高（a4纸的尺寸[595.28,841.89]）
                var imgWidth = 595.28;
                var imgHeight = 592.28 / contentWidth * contentHeight;
                console.log("contentWidth:"+contentWidth)
                console.log("imgHeight:"+imgHeight)
                var pageData = canvas.toDataURL('image/jpeg', 1.0);
                var pdf = new jsPDF('', 'pt', 'a4');
                //有两个高度需要区分，一个是html页面的实际高度，和生成pdf的页面高度(841.89)
                //当内容未超过pdf一页显示的范围，无需分页
                if (leftHeight < pageHeight) {
                    pdf.addImage(pageData, 'JPEG', 0, 0, imgWidth, imgHeight);
                } else {
                    while (leftHeight > 0) {
                        pdf.addImage(pageData, 'JPEG', 0, position, imgWidth, imgHeight)
                        leftHeight -= pageHeight;
                        console.log("leftHeight:"+leftHeight)
                        position -= 841.89;
                        //避免添加空白页
                        if (leftHeight > 0) {
                            pdf.addPage();
                        }
                    }
                }
                pdf.save(name+'验收报告.pdf');
            },
            //背景设为白色（默认为黑色）
            background: "#fff"
        })
}
